Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
NetMessenger Class Reference
Inheritance diagram for NetMessenger:

## Public Member Functions
| __init__ (self, air, channels)
| clear (self)
| handle (self, pickleData)
| send (self, message, sentArgs=[])
Public Member Functions inherited from Messenger
| __init__ (self)
| __repr__ (self)
| accept (self, event, object, method, extraArgs=[], persistent=1)
| detailedRepr (self)
| find (self, needle)
| findAll (self, needle, limit=None)
| future (self, event)
| getAllAccepting (self, object)
| getEvents (self)
| ignore (self, event, object)
| ignoreAll (self, object)
| isAccepting (self, event, object)
| isEmpty (self)
| isIgnoring (self, event, object)
| quiet (self, message)
| replaceMethod (self, oldMethod, newFunction)
| toggleVerbose (self)
| unquiet (self, message)
| unwatch (self, needle)
| watch (self, needle)
| whoAccepts (self, event)

## Public Attributes
| air = air
| channels = channels
Public Attributes inherited from Messenger
| lock = Lock()
dict | quieting

## Additional Inherited Members
Static Public Attributes inherited from Messenger
| detailed_repr = detailedRepr
| find_all = findAll
| get_all_accepting = getAllAccepting
| get_events = getEvents
| ignore_all = ignoreAll
| is_accepting = isAccepting
| is_empty = isEmpty
| is_ignoring = isIgnoring
| notify = DirectNotifyGlobal.directNotify.newCategory("Messenger")
| replace_method = replaceMethod
| toggle_verbose = toggleVerbose
| who_accepts = whoAccepts
Protected Member Functions inherited from Messenger
| _getEvents (self)
| _getMessengerId (self, object)
| _getNumListeners (self, event)
| _getObject (self, id)
| _getObjects (self)
| _releaseObject (self, object)
| _storeObject (self, object)
Protected Attributes inherited from Messenger
dict | _eventQueuesByTaskChain = {}
dict | _id2object = {}
int | _messengerIdGen = 0

## Detailed Description

    This works very much like the Messenger class except that messages
    are sent over the network and (possibly) handled (accepted) on a
    remote machine (server).

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  |  | air,
|  |  | channels )

    air is the AI Repository.
    channels is a list of channel IDs (uint32 values)

## Member Function Documentation

## ◆ clear()

clear | ( |  | self | ) |

    Start fresh with a clear dict

Reimplemented from Messenger.

## ◆ handle()

handle | ( |  | self,
|  |  | pickleData )

    Send pickleData from the net on the local netMessenger.
    The internal data in pickleData should have a tuple of
    (messageString, sendArgsList).

## ◆ send()

send | ( |  | self,
|  |  | message,
|  |  | sentArgs = [] )

    Send message to All AI and Uber Dog servers.

Reimplemented from Messenger.

## Member Data Documentation

## ◆ air

air = air

## ◆ channels

channels = channels